[DEFAULT]
debug = True
use_stderr = False
log_file = 

[auth]
use_dynamic_credentials = True
admin_username = refstack_platform-user_e4c58de5-b2e0-42f2-84b7-35e464d86724
admin_password = X5&#JBevEyOTbgm
admin_project_name = refstack_platform-project_e4c58de5-b2e0-42f2-84b7-35e464d86724
admin_domain_name = Default

[compute]
image_ref = c3231905-b5b0-415f-beb2-1989308d8aa1
image_ref_alt = 8c295e54-f195-4bb5-9805-35e3d24688dd
flavor_ref = b4393d72-480f-47ca-ae87-5227678fdfbe
flavor_ref_alt = 11c92f90-ab3f-4e8a-9103-cbee43a1b7da
fixed_network_name = refstack_platform-net_e4c58de5-b2e0-42f2-84b7-35e464d86724
volume_device_name = sdb
min_compute_nodes = 2
endpoint_type = public
max_microversion = latest

[compute-feature-enabled]
live_migration = True
resize = True
vnc_console = True
attach_encrypted_volume = False
block_migration_for_live_migration = False
block_migrate_cinder_iscsi = False
change_password = False
cold_migration = True
config_drive = True
console_output = True
disk_config = True
enable_instance_password = True
interface_attach = True
live_migrate_back_and_forth = False
metadata_service = True
pause = True
personality = False
rdp_console = False
rescue = True
scheduler_available_filters = AvailabilityZoneFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter,SameHostFilter,DifferentHostFilter
serial_console = False
shelve = True
snapshot = True
spice_console = False
suspend = True
swap_volume = False
volume_backed_live_migration = False
volume_multiattach = False

[data-processing]
endpoint_type = public

[identity]
region = RegionOne
auth_version = v3
uri = http://172.30.13.94/identity/v2.0
uri_v3 = http://172.30.13.94/identity/v3
v2_endpoint_type = public
v3_endpoint_type = public
disable_ssl_certificate_validation = False
ca_certificates_file = 
admin_role = admin
default_domain_id = default
user_unique_last_password_count = 2
user_lockout_duration = 10
user_lockout_failure_attempts = 2

[identity-feature-enabled]
trust = True
api_v2 = False
api_v2_admin = False
security_compliance = True
federation = False
external_idp = False
project_tags = True
application_credentials = True

[image-feature-enabled]
deactivate_image = True
api_v2 = True
api_v1 = False

[input-scenario]
ssh_user_regex = [["^.*[Cc]irros.*$", "cirros"], ["^.*[Tt]est[VvMm].*$", "cirros"], ["^.*rally_verify.*$", "cirros"]]

[network]
public_network_id = 2f6c1401-38ba-4897-a514-9f0b34909e99
floating_network_name = public
default_network = 192.168.120.0/24
project_network_cidr = 192.168.120.0/24
project_networks_reachable = False
endpoint_type = public

[network-feature-enabled]
ipv6_subnet_attributes = True
ipv6 = True
api_extensions = address-scope,router-admin-state-down-before-update,agent,agent-resources-synced,allowed-address-pairs,auto-allocated-topology,availability_zone,availability_zone_filter,default-subnetpools,dhcp_agent_scheduler,dns-integration,dns-domain-ports,dvr,empty-string-filtering,expose-port-forwarding-in-fip,external-net,extra_dhcp_opt,extraroute,extraroute-atomic,filter-validation,floating-ip-port-forwarding-description,fip-port-details,flavors,floating-ip-port-forwarding,floatingip-pools,ip_allocation,ip-substring-filtering,l2_adjacency,router,ext-gw-mode,l3-ha,l3-flavors,l3-port-ip-change-not-allowed,l3_agent_scheduler,logging,multi-provider,net-mtu,net-mtu-writable,network_availability_zone,network-ip-availability,pagination,port-mac-address-regenerate,port-resource-request,binding,binding-extended,port-security,project-id,provider,qos,qos-bw-limit-direction,qos-bw-minimum-ingress,qos-default,qos-fip,qos-gateway-ip,qos-port-network-policy,qos-rule-type-details,qos-rules-alias,quotas,quota_details,rbac-policies,rbac-address-scope,rbac-security-groups,rbac-subnetpool,revision-if-match,standard-attr-revisions,router_availability_zone,port-security-groups-filtering,security-group,segment,segments-peer-subnet-host-routes,service-type,sorting,standard-attr-segment,standard-attr-description,stateful-security-group,subnet-dns-publish-fixed-ip,subnet_onboard,subnet-segmentid-writable,subnet-service-types,subnet_allocation,subnetpool-prefix-ops,standard-attr-tag,standard-attr-timestamp,trunk,trunk-details
port_admin_state_change = True
port_security = True
floating_ips = True

[object-storage]
operator_role = member
reseller_admin_role = ResellerAdmin
endpoint_type = public

[oslo_concurrency]
lock_path = 

[orchestration]
instance_type = 
stack_owner_role = heat_stack_owner
stack_user_role = heat_stack_user
endpoint_type = public

[scenario]
img_dir = /home/opnfv/functest/images
img_file = cirros-0.4.0-x86_64-disk.img
img_disk_format = qcow2
img_properties = hw_scsi_model:virtio-scsi,hw_disk_bus:scsi

[service_available]
cinder = True
glance = True
heat = True
ironic = False
neutron = True
nova = True
sahara = False
swift = True

[validation]
run_validation = True
image_ssh_user = cirros
connect_method = floating
ssh_timeout = 196
ip_version_for_ssh = 4
network_for_ssh = refstack_platform-net_e4c58de5-b2e0-42f2-84b7-35e464d86724

[volume-feature-enabled]
bootable = True
multi_backend = False
backup = True
snapshot = True
clone = True
manage_snapshot = True
manage_volume = True
extend_attached_volume = False
consistency_group = False
volume_revert = True

[volume]
endpoint_type = public
max_microversion = latest
storage_protocol = ceph
manage_volume_ref = source-name,volume-%s
manage_snapshot_ref = source-name,snapshot-%s

[image]
endpoint_type = public

[placement]
max_microversion = latest

[load_balancer]
test_with_ipv6 = False

[neutron_plugin_options]
agent_availability_zone = nova
available_type_drivers = flat,geneve,vlan,gre,local,vxlan
provider_vlans = foo,
create_shared_resources = True

[object-storage-feature-enabled]
discoverable_apis = account_quotas,formpost,bulk_upload,bulk_delete,tempurl,crossdomain,container_quotas,staticweb,account_quotas,slo
object_versioning = True
discoverability = True

[heat_plugin]
skip_scenario_test_list = AodhAlarmTest,SoftwareConfigIntegrationTest,VolumeBackupRestoreIntegrationTest,CfnInitIntegrationTest,LoadBalancerTest
auth_version = 3

[heat_features_enabled]
multi_cloud = False

